# $Revision: 1.6 $, $Date: 2009/02/20 13:31:24 $
%define	ver_major	3.3.0
%define	ver_minor	3

Summary:	NX compression library extensions for shadowing
Summary(pl.UTF-8):	Rozszerzenia biblioteki kompresji NX do cieniowania
Name:		nxcompshad
Version:	%{ver_major}.%{ver_minor}
Release:	1
License:	GPL
Group:		X11/Libraries
Source0:	http://64.34.161.181/download/%{ver_major}/sources/%{name}-%{ver_major}-%{ver_minor}.tar.gz
# Source0-md5:	02f051366c4aae96bfefda60d701d8b4
URL:		http://www.nomachine.com/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	nxcomp-devel >= 3.0.0
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-xserver-server-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NX compression library extensions for shadowing.

%description -l pl.UTF-8
Rozszerzenia biblioteki kompresji NX do cieniowania.

%package devel
Summary:	Header files for nxcompshad
Summary(pl.UTF-8):	Pliki nagłówkowe nxcompshad
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for nxcompshad.

%description devel -l pl.UTF-8
Pliki nagłówkowe nxcompshad.

%package static
Summary:	Static nxcompshad library
Summary(pl.UTF-8):	Statyczna biblioteka nxcompshad
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static nxcompshad library.

%description static -l pl.UTF-8
Statyczna biblioteka nxcompshad.

%prep
%setup -q -n %{name}

%build
%{__autoconf}
%configure
sed -i -e 's#-I/usr/X11R6/include#-I/usr/include/X11 -I/usr/include/xorg#g' Makefile
sed -i -e 's#-L../nxcomp##' Makefile
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

cp -a lib*.so*	$RPM_BUILD_ROOT%{_libdir}
install lib*.a	$RPM_BUILD_ROOT%{_libdir}
#install NX*.h	$RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
#%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nxcompshad.spec,v $
Revision 1.6  2009/02/20 13:31:24  pawelz
- up to 3.3.0.3

Revision 1.5  2009/01/06 20:14:58  paszczus
- updated to 3.3.0-2

Revision 1.4  2008/08/13 07:15:34  paszczus
- updated to 3.2.0.3

Revision 1.3  2008/08/04 12:47:16  paszczus
- updated to 3.2.0

Revision 1.2  2008/03/06 21:35:24  qboosh
- pl, shortened ver macros

Revision 1.1  2007-12-09 04:29:15  aredridel
- added, NFY
